#!/bin/sh
#
# sfcmilter.sh - startup script for sfcmilter on FreeBSD
#
# This goes in /usr/local/etc/rc.d and gets run at boot-time.
#
# Variables available:
#   sfcmilter_enable='YES/NO'
#   sfcmilter_program='path'
#   sfcmilter_socket='path'
#   sfcmilter_flags='flags'
#
# PROVIDE: sfcmilter
# REQUIRE: LOGIN FILESYSTEMS

. /etc/rc.subr

name='sfcmilter'
rcvar='sfcmilter_enable'

load_rc_config "$name"

# Set defaults.
sfcmilter_enable="${sfcmilter_enable:-'NO'}"
sfcmilter_program="${sfcmilter_program:-'/usr/local/sbin/sfcmilter'}"
sfcmilter_socket="${sfcmilter_socket:-'/var/run/sfcmilter.sock'}"
sfcmilter_flags="${sfcmilter_flags:-'-autoupdate'}"

# Add socket to any given argument.
sfcmilter_flags="${sfcmilter_flags} ${sfcmilter_socket}"

sfcmilter_precmd()
    {
    if [ -S "$sfcmilter_socket" ]; then
	warn "Stale socket $sfcmilter_socket removed."
	rm "$sfcmilter_socket"
    fi
    }

command="$sfcmilter_program"
start_precmd='sfcmilter_precmd'

run_rc_command "$1"
